/* autogenerated by embedmodel.py.  DO NOT EDIT */

#include <zebra.h>
#include "yang.h"

static const char model[] =
	"module frr-staticd {\n"
	"  yang-version 1.1;\n"
	"  namespace \"http://frrouting.org/yang/staticd\";\n"
	"  prefix frr-staticd;\n"
	"\n"
	"  import frr-routing {\n"
	"    prefix frr-rt;\n"
	"  }\n"
	"\n"
	"  import frr-nexthop {\n"
	"    prefix frr-nexthop;\n"
	"  }\n"
	"\n"
	"  import ietf-inet-types {\n"
	"    prefix inet;\n"
	"  }\n"
	"\n"
	"  organization\n"
	"    \"FRRouting\";\n"
	"  contact\n"
	"    \"FRR Users List: <mailto:frog@lists.frrouting.org>\n"
	"     FRR Development List: <mailto:dev@lists.frrouting.org>\";\n"
	"  description\n"
	"    \"This module defines a model for managing FRR staticd information.\n"
	"     This YANG module augments the ietf-routing with additional\n"
	"     nexthop information\n"
	"\n"
	"     Copyright 2020 FRRouting\n"
	"\n"
	"     Redistribution and use in source and binary forms, with or without\n"
	"     modification, are permitted provided that the following conditions\n"
	"     are met:\n"
	"\n"
	"     1. Redistributions of source code must retain the above copyright notice,\n"
	"     this list of conditions and the following disclaimer.\n"
	"\n"
	"     2. Redistributions in binary form must reproduce the above copyright\n"
	"     notice, this list of conditions and the following disclaimer in the\n"
	"     documentation and/or other materials provided with the distribution.\n"
	"\n"
	"     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS\n"
	"     \\\"AS IS\\\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT\n"
	"     LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\n"
	"     A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT\n"
	"     HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\n"
	"     SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\n"
	"     LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\n"
	"     DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\n"
	"     THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n"
	"     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE\n"
	"     OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\";\n"
	"\n"
	"  revision 2019-12-03 {\n"
	"    description\n"
	"      \"Initial revision.\";\n"
	"  }\n"
	"\n"
	"  identity staticd {\n"
	"    base frr-rt:routing-protocol;\n"
	"    description\n"
	"      \"\'Staticd\' routing pseudo-protocol.\";\n"
	"  }\n"
	"\n"
	"  grouping staticd-prefix-attributes {\n"
	"    list path-list {\n"
	"      key \"distance\";\n"
	"      leaf distance {\n"
	"        type frr-rt:administrative-distance;\n"
	"        description\n"
	"          \"Admin distance associated with this route.\";\n"
	"      }\n"
	"\n"
	"      leaf tag {\n"
	"        type uint32;\n"
	"        default \"0\";\n"
	"        description\n"
	"          \"Route tag\";\n"
	"      }\n"
	"\n"
	"      leaf table-id {\n"
	"        type uint32;\n"
	"        default \"0\";\n"
	"        description\n"
	"          \"Table-id\";\n"
	"      }\n"
	"\n"
	"      uses frr-nexthop:frr-nexthop;\n"
	"    }\n"
	"  }\n"
	"\n"
	"  augment \"/frr-rt:routing/frr-rt:control-plane-protocols/frr-rt:control-plane-protocol\" {\n"
	"    container staticd {\n"
	"      when \"../frr-rt:type = \'frr-staticd:staticd\'\" {\n"
	"        description\n"
	"          \"This container is only valid for the \'staticd\' routing\n"
	"           protocol.\";\n"
	"      }\n"
	"      description\n"
	"        \"Support for a \'staticd\' pseudo-protocol instance\n"
	"         consists of a list of routes.\";\n"
	"      list route-list {\n"
	"        key \"prefix afi-safi\";\n"
	"        description\n"
	"          \"List of staticd IP routes.\";\n"
	"        leaf prefix {\n"
	"          type inet:ip-prefix;\n"
	"          description\n"
	"            \"IP prefix.\";\n"
	"        }\n"
	"        leaf afi-safi {\n"
	"          type identityref {\n"
	"            base frr-rt:afi-safi-type;\n"
	"          }\n"
	"          description\n"
	"            \"AFI-SAFI type.\";\n"
	"        }\n"
	"\n"
	"        uses staticd-prefix-attributes;\n"
	"\n"
	"        list src-list {\n"
	"          key \"src-prefix\";\n"
	"          leaf src-prefix {\n"
	"            type inet:ipv6-prefix;\n"
	"            description\n"
	"              \"IPv6 source prefix\";\n"
	"          }\n"
	"\n"
	"          uses staticd-prefix-attributes;\n"
	"        }\n"
	"      }\n"
	"    }\n"
	"  }\n"
	"}\n"
	"";

static struct yang_module_embed embed = {
	.mod_name = "frr-staticd",
	.mod_rev = "2019-12-03",
	.sub_mod_name = "",
	.sub_mod_rev = "",
	.data = model,
	.format = LYS_YANG,
};

static void embed_register(void) __attribute__((_CONSTRUCTOR(2000)));
static void embed_register(void)
{
	yang_module_embed(&embed);
}
